The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Create a cluster

Prev Next

This URL creates a new cluster. If the creation of the cluster is successful, it returns the details of the newly created cluster in the response.

Resource URL

POST /cluster

Request Parameters

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

name

Name of the cluster

string

Yes

description

A short description of the cluster

string

Yes

sharedSensorKey

Shared key to be used by the Sensors that will be registered with the cluster

string

Yes

trafficSource

Source of traffic (GWLB or Probe)

string

Yes

Response Parameters

Following fields are returned in the response.

Field Name

Description

Data Type

success

Indicates if the creation of cluster was successful.

Value is set to true if the creation is successful.

Value is set to false if the creation is not successful.

string

msg

Message if the creation of the cluster is successful

string

errMsg

Error message if the creation of the cluster is not successful

string

domainName

Domain in which the cluster is created

string

data

Cluster object. The object has the cluster Id of the new cluster.

object

Details of data object.

Field Name

Description

Data Type

id

Cluster Id.

The Id is specific to the Virtual IPS solution.

number

name

Name of the cluster

string

description

Description of the cluster

string

sharedSensorKey

Shared key to be used by the Sensors that will be registered with this cluster

string

subscriberId

Domain Id

number

deviceClusterId

Device cluster Id

number

updateDateTime

Last update time of the cluster

number

updateUserName

Last user who modified the cluster

string

memberCount

Number of Sensors in the cluster. Initially is set to 0 for a new cluster.

number

memberSensorSW

Sensor software version

string

vidsId

Vids Id

number

Example

Request

POST https://<NSM_IP>/intruvert/webservice/api/v1/cloud/cluster

Payload

{
 "name": "testcluster",
 "description": "long cluster",
 "sharedSensorKey": "abc123",
 "trafficSource":"GWLB",
}

Response

{
 "success": true,
 "msg": null,
 "errMsg": null,
 "domainName": null,
 "data": {
 "id": 3,
 "name": "testcluster",
 "description": "long cluster",
 "sharedSensorKey": "7a4a7b462c2f5a454e792118591d5c5c",
 "subscriberId": 0,
 "deviceClusterId": 1003,
 "updateDateTime": 1556170533000,
 "updateUserName": "admin",
 "memberCount": 0,
 "memberSensorSW": null,
 "vidsId": 106
 }
}